import cv2


ar0144_formats_isp = {
    "color": {
        "cam": "SGRBG12_1X12",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=YUY2",
        "controls": [
            "dynamic_defect_pixel_correction=0",
            "digital_gain_red=1000",
            "digital_gain_blue=1000",
            "digital_gain_green_red=1000",
            "digital_gain_green_blue=1000",
        ],
    },
    "monochrome": {
        "cam": "Y8_1X8",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=GRAY8",
        "controls": [
            "dynamic_defect_pixel_correction=0",
        ],
    },
}

ar0234_formats_isp = {
    "color": {
        "cam": "SGRBG12_1X12",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=YUY2",
        "controls": [
            "dynamic_defect_pixel_correction=0",
            "digital_gain_red=1000",
            "digital_gain_blue=1000",
            "digital_gain_green_red=1000",
            "digital_gain_green_blue=1000",
        ],
    },
    "monochrome": {
        "cam": "Y8_1X8",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=GRAY8",
        "controls": [
            "dynamic_defect_pixel_correction=0",
        ],
    },
}

ar0521_formats_isp = {
    "color": {
        "cam": "SGRBG12_1X12",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=YUY2",
        "controls": [
            "dynamic_defect_pixel_correction=0",
            "digital_gain_red=1000",
            "digital_gain_blue=1000",
            "digital_gain_green_red=1000",
            "digital_gain_green_blue=1000",
        ],
    },
    "monochrome": {
        "cam": "Y8_1X8",
        "opencv": cv2.COLOR_YUV2BGRA_YUY2,
        "gst": "video/x-raw,format=GRAY8",
        "controls": [
            "dynamic_defect_pixel_correction=0",
        ],
    },
}

ar0144_modes_isp = {
    "Full": {
        "name": "1280x800 Full",
        "mode": 1,
        "cap_width": 1280,
        "cap_height": 800,
        "controls": [
            "row_binning=0",
            "col_binning=0",
        ],
    },
    "HD": {
        "name": "1280x720 HD",
        "mode": 0,
        "cap_width": 1280,
        "cap_height": 720,
        "controls": [
            "row_binning=0",
            "col_binning=0",
        ],
    },
}

ar0234_modes_isp = {
    "Full": {
        "name": "1920x1200 Full",
        "mode": 2,
        "cap_width": 1920,
        "cap_height": 1200,
        "controls": [
            "row_binning=0",
            "col_binning=0",
        ],
    },
    "FullHD": {
        "name": "1920x1080 FullHD",
        "mode": 1,
        "cap_width": 1920,
        "cap_height": 1080,
        "controls": [
            "row_binning=0",
            "col_binning=0",
        ],
    },
    "HD": {
        "name": "1280x720 HD",
        "mode": 0,
        "cap_width": 1280,
        "cap_height": 720,
        "controls": [
            "row_binning=0",
            "col_binning=0",
        ],
    },
}

ar0521_modes_isp = {
    "Full": {
        "name": "2592x1944 Full",
        "mode": 2,
        "cap_width": 2592,
        "cap_height": 1944,
        "controls": [
            "column_binning=0",
        ],
    },
    "FullHD": {
        "name": "1920x1080 FullHD",
        "mode": 1,
        "cap_width": 1920,
        "cap_height": 1080,
        "controls": [
            "column_binning=0",
        ],
    },
    "HD": {
        "name": "1280x720 HD",
        "mode": 0,
        "cap_width": 1280,
        "cap_height": 720,
        "controls": [
            "column_binning=0",
        ],
    },
}
